### Method

# WebKit NetworkSession set_itp_enabled

#### Declaration [src]

    void
    webkit_network_session_set_itp_enabled (
      WebKitNetworkSession* session,
      gboolean enabled
    )

#### Description [src]

Enable or disable Intelligent Tracking Prevention (ITP).

When ITP is enabled resource load statistics are collected and used to decide whether to allow or block third-party cookies and prevent user tracking. Note that while ITP is enabled the accept policy `WEBKIT_COOKIE_POLICY_ACCEPT_NO_THIRD_PARTY` is ignored and `WEBKIT_COOKIE_POLICY_ACCEPT_ALWAYS` is used instead. See also webkit_cookie_session_set_accept_policy().

Available since: | 2.40

#### Parameters

`enabled` | `gboolean`
| Value to set.